#
# Table Rename...Add mos_ prefix
#
ALTER TABLE articles RENAME TO mos_articles;
ALTER TABLE banner RENAME TO mos_banner;
ALTER TABLE bannerclient RENAME TO mos_bannerclient;
ALTER TABLE bannerfinish RENAME TO mos_bannerfinish;
ALTER TABLE categories RENAME TO mos_categories;
ALTER TABLE component_module RENAME TO mos_component_module;
ALTER TABLE components RENAME TO mos_components;
ALTER TABLE contact_details RENAME TO mos_contact_details;
ALTER TABLE counter RENAME TO mos_counter;
ALTER TABLE faqcont RENAME TO mos_faqcont;
ALTER TABLE links RENAME TO mos_links;
ALTER TABLE mambo_modules RENAME TO mos_mambo_modules;
ALTER TABLE menu RENAME TO mos_menu;
ALTER TABLE menucontent RENAME TO mos_menucontent;
ALTER TABLE newsfeedscategory RENAME TO mos_newsfeedscategory;
ALTER TABLE newsfeedslinks RENAME TO mos_newsfeedslinks;
ALTER TABLE newsflash RENAME TO mos_newsflash;
ALTER TABLE poll_data RENAME TO mos_poll_data;
ALTER TABLE poll_date RENAME TO mos_poll_date;
ALTER TABLE poll_desc RENAME TO mos_poll_desc;
ALTER TABLE poll_menu RENAME TO mos_poll_menu;
ALTER TABLE queue RENAME TO mos_queue;
ALTER TABLE session RENAME TO mos_session;
ALTER TABLE stories RENAME TO mos_stories;
ALTER TABLE system RENAME TO mos_system;
ALTER TABLE users RENAME TO mos_users;

#
# Rename category id column to be consistent
#

ALTER TABLE `mos_articles` CHANGE `secid` `catid` INT( 11 ) DEFAULT '0' NOT NULL; 
ALTER TABLE `mos_stories` CHANGE `topic` `catid` INT( 11 ) DEFAULT '1' NOT NULL; 
ALTER TABLE `mos_faqcont` CHANGE `faqid` `catid` INT( 11 ) DEFAULT '0' NOT NULL; 
ALTER TABLE `mos_links` CHANGE `cid` `catid` INT( 11 ) DEFAULT '0' NOT NULL;

#
# Add Access Restriction fields/tables
#
CREATE TABLE mos_groups (
  id tinyint(3) unsigned NOT NULL default '0',
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

INSERT INTO mos_groups VALUES (0, 'Public');
INSERT INTO mos_groups VALUES (1, 'Registered');
INSERT INTO mos_groups VALUES (2, 'Special');

ALTER TABLE mos_categories ADD access tinyint(3) unsigned NOT NULL default '0';
ALTER TABLE mos_components ADD access tinyint(3) unsigned NOT NULL default '0';
ALTER TABLE mos_stories ADD access tinyint(3) unsigned NOT NULL default '0';
ALTER TABLE mos_menu ADD access tinyint(3) unsigned NOT NULL default '0';
ALTER TABLE mos_session ADD gid tinyint(3) unsigned NOT NULL default '0';
ALTER TABLE mos_users ADD gid tinyint(3) unsigned NOT NULL default '1';

