<?php
/*
_____________________________________________________________________

Mambo Database Maintenance Version 2.0 12/13/2002

This Mambo Administration Add-on should make it easier for
Administrators to maintain their mySQL databases in top condition.

Mambo Site Server v4.0.11 Database Maintenance
Copyright (c) 2002 by James C. Logan (nagolcj@hotmail.com)

Mambo Site Server Open Source Edition Version 4.0.11
Developers: Danny Younes - danny@miro.com.au
Nicole Anderson - nicole@miro.com.au

LICENSE:

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
_____________________________________________________________________
*/
session_start();
if (!session_is_registered("session_id")) {
	print "<script> document.location.href='../index.php'</script>";
	exit();
}

require("classes/databaseAdmin.php");
$databaseAdmin = new databaseAdmin();

switch ($task) {
	case "dbOptimize":
	$databaseAdmin->dbOptimize($database);
	break;
	
	case "doOptimize":
	$databaseAdmin->doOptimize($database,$tables);
	break;
	
	case "dbAnalyze":
	$databaseAdmin->dbAnalyze($database);
	break;
	
	case "doAnalyze":
	$databaseAdmin->doAnalyze($database,$tables);
	break;
	
	case "dbCheck":
	$databaseAdmin->dbCheck($database);
	break;
	
	case "doCheck":
	$databaseAdmin->doCheck($database,$tables);
	break;
	
	case "dbRepair":
	$databaseAdmin->dbRepair($database);
	break;
	
	case "doRepair":
	$databaseAdmin->doRepair($database,$tables);
	break;
	
	case "dbBackup":
	$databaseAdmin->dbBackup($database);
	break;
	
	case "doBackup":
	$databaseAdmin->doBackup($database,$tables,$OutType,$OutDest);
	break;
	
	case "dbRestore":
	$databaseAdmin->dbRestore($database);
	break;

	case "doRestore":
	$databaseAdmin->doRestore($database,$file,$upfile);
	break;

	default:
	$databaseAdmin->dbStatus($database);
}
?>
